mod bootstrap;

use std::fs;
use std::io;

fn main() {
    println!("Hello, world!");

    let cfg_in = fs::OpenOptions::new()
        .read(true)
        .open("config.yaml")
        .unwrap();
    let cfg: bootstrap::config::Config = serde_yaml::from_reader(cfg_in).unwrap();

    serde_yaml::to_writer(io::stdout(), &cfg).unwrap();
}
